API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/vacation-requests/{id}/reject

POST/v1/vacation-requests/{id}/reject

Reject a pending vacation request with an optional comment.

Datenmodell

Diese Operation arbeitet auf der Entität Vacation Request (vacation_request). Alle 17 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
approverCommentstring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/vacation-requests/{id}/reject \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "approverComment": "string"
}'
const result = await cm.vacation-requests.post({
  "approverComment": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche